
Redmine - Defect #24582

Time Report Week does not honor Start day in Settings

2016-12-11 20:32 - Matthew Paul

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.0

Description

Administration>Settings>Display>Start Calendar on>Monday

Project>Overview>Spent Time>Report

Date>Last Week

Report>Details>Days>Add>Issue

Should display Mon-Sun. Instead Displays Mon-Sat

Same for if you do This Week on a sunday - should display Mon-Sun but instead displays a single day - today - because it uses

today (sun) as day 1 of new week instead of correctly calculating today as the day 7 of this week.

Environment:

Redmine version                3.2.0.stable

Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

Rails version                  4.2.5

Environment                    production

Database adapter               Mysql2

Related issues:

Is duplicate of Redmine - Defect #13547: Start calendars on not work Confirmed

History

#1 - 2016-12-11 22:54 - Go MAEDA

- Is duplicate of Defect #13547: Start calendars on not work added

#2 - 2016-12-11 22:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #13547.

Thank you for reporting this.
